<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'th', branch 'MOODLE_35_STABLE'
 *
 * @package   cachestore_memcached
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'บัฟเฟอร์เขียน';
$string['bufferwrites_help'] = 'เปิดหรือปิดบัฟเฟอร์ I / O การเปิดใช้บัฟเฟอร์ I / O เป็นสาเหตุที่ทำให้การจัดเก็บคำสั่ง &quot;กันชน&quot; แทนที่จะถูกส่ง การกระทำที่ดึงข้อมูลใด ๆ ที่ทำให้เกิดบัฟเฟอร์นี้จะถูกส่งไปเชื่อมต่อระยะไกล เลิกการเชื่อมต่อหรือปิดการเชื่อมต่อนอกจากนี้ยังจะทำให้เกิดบัฟเฟอร์ข้อมูลที่จะผลักดันการเชื่อมต่อระยะไกล';
$string['clustered'] = 'เปิดใช้งานเซิร์ฟเวอร์คลัสเตอร์';
$string['clusteredheader'] = 'เซิร์ฟเวอร์ Split';
$string['clustered_help'] = 'นี้จะใช้เพื่อช่วยให้อ่านอย่างหนึ่งตั้งหลายฟังก์ชั่น กรณีการใช้งานที่ตั้งใจไว้คือการสร้างร้านค้าที่ดีขึ้นสำหรับการกำหนดค่าโหลดสมดุล ทางร้านจะดึงข้อมูลจากเซิร์ฟเวอร์หนึ่ง (ปกติ localhost) แต่ตั้งหลาย (เซิร์ฟเวอร์ทั้งหมดที่อยู่ในกลุ่มโหลดสมดุล) สำหรับแคชกับการอ่านสูงมากในการตั้งค่าอัตราส่วนนี้จะบันทึกจำนวนมากของค่าใช้จ่ายในเครือข่าย

เมื่อการตั้งค่านี้ถูกเปิดใช้งาน เซิร์ฟเวอร์ดังกล่าวข้างต้นจะใช้สำหรับการเรียก fetching';
$string['hash'] = 'วิธี hash';
$string['hash_crc'] = 'ซีอาร์ซี';
$string['hash_default'] = 'เริ่มต้น (หนึ่งที่เวลา)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'ระบุขั้นตอนวิธี hashing ใช้สำหรับคีย์รายการ วิธีกัญชาแต่ละคนมีข้อดีและข้อเสียของมัน ไปกับการเริ่มต้นถ้าคุณไม่ทราบหรือไม่สนใจ';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'ที่ไม่ชัดเจน';
$string['isshared'] = 'แคชที่ใช้ร่วมกัน';
$string['isshared_help'] = 'เซิร์ฟเวอร์ memcached ของคุณมีการใช้งานแอพพลิเคชันอื่นด้วยหรือไม่?

หากแคชถูกแชร์โดยแอ็พพลิเคชันอื่น ๆ แต่ละคีย์จะถูกลบทีละเพื่อให้แน่ใจว่ามีการล้างข้อมูลเฉพาะข้อมูลที่เป็นของแอปพลิเคชันนี้ (ปล่อยให้ข้อมูลแคชของแอปภายนอกไม่เปลี่ยนแปลง) ซึ่งอาจทำให้ประสิทธิภาพการทำงานลดลงเมื่อลบแคชขึ้นอยู่กับการกำหนดค่าเซิร์ฟเวอร์ของคุณ

ถ้าคุณใช้งานแคชเฉพาะสำหรับแอ็พพลิเคชันนี้แคชทั้งหมดจะสามารถล้างข้อมูลได้อย่างปลอดภัยโดยไม่มีความเสี่ยงใด ๆ ที่จะทำลายข้อมูลแคชของโปรแกรมอื่น ซึ่งจะส่งผลให้มีประสิทธิภาพเพิ่มขึ้นเมื่อลบแคช';
$string['pluginname'] = 'Memcached';
$string['prefix'] = 'คำนำหน้าที่สำคัญ';
$string['prefix_help'] = 'สิ่งนี้สามารถใช้ในการสร้าง "โดเมน" สำหรับคีย์รายการของคุณช่วยให้คุณสามารถสร้างร้านค้า memcached หลายในการติดตั้ง memcached เดียว มันไม่สามารถจะยาวกว่า 16 ตัวอักษรในการสั่งซื้อเพื่อให้แน่ใจว่าปัญหาความยาวของคีย์จะไม่ได้พบ';
$string['prefixinvalid'] = 'คำนำหน้าไม่ถูกต้อง คุณสามารถใช้ AZ AZ 0-9-_';
$string['serialiser_igbinary'] = 'Serializer igbinary';
$string['serialiser_json'] = 'JSON Serializer';
$string['serialiser_php'] = 'เริ่มต้น PHP Serializer';
$string['servers'] = 'เซิร์ฟเวอร์ต่างๆ';
$string['serversclusterinvalid'] = 'ว่าเซิร์ฟเวอร์หนึ่งถูกต้องเมื่อมีการเปิดใช้การจัดกลุ่ม';
$string['servers_help'] = 'ชุดนี้เซิร์ฟเวอร์ที่ควรจะใช้อะแดปเตอร์ memcached นี้ เซิร์ฟเวอร์ควรจะกำหนดต่อหนึ่งบรรทัดและประกอบด้วยที่อยู่ของเซิร์ฟเวอร์และเลือกพอร์ตและน้ำหนัก ถ้าไม่มีพอร์ตให้บริการแล้วพอร์ตเริ่มต้น (11211) ถูกนำมาใช้

ตัวอย่างเช่น:
<pre>
server.url.com
IPADDRESS: Port
servername: Port: น้ำหนัก
</pre>

หากเปิดใช้งานเซิร์ฟเวอร์ คลัสเตอร์ถูกเปิดใช้งาน ดังต่อไปนี้จะต้องมีเพียงหนึ่งเซิร์ฟเวอร์ไว้ที่นี่ ซึ่งมักจะเป็นชื่อที่มักจะหายไปภายในเครื่องเช่น 127.0.0.1 หรือ localhost';
$string['sessionhandlerconflict'] = 'คำเตือน: เช่น memcached ({$a}) ได้ถูกกำหนดค่าให้ใช้เซิร์ฟเวอร์ memcached เดียวกันกับการประชุม การกวาดล้างแคชทั้งหมดจะนำไปสู่การประชุมยังมีการล้าง';
$string['setservers'] = 'เซิร์ฟเวอร์ชุด';
$string['setservers_help'] = 'นี่คือรายการของเซิร์ฟเวอร์ที่จะปรับปรุงเมื่อมีการแก้ไขข้อมูลในแคช โดยทั่วไปชื่อเต็มของแต่ละเซิร์ฟเวอร์ในกลุ่ม

มันต้อง รวมถึงเซิร์ฟเวอร์ที่ระบุไว้ในเซิร์ฟเวอร์  ข้างต้นแม้ว่าโดยชื่อโฮสต์ที่แตกต่างกัน

เซิร์ฟเวอร์ควรจะกำหนดต่อหนึ่งบรรทัดและประกอบด้วยที่อยู่ของเซิร์ฟเวอร์และเลือกพอร์ต ถ้าไม่มีพอร์ตให้บริการแล้วพอร์ตเริ่มต้น (11211) ถูกนำมาใช้

ตัวอย่างเช่น:
<pre>
server.url.com
IPADDRESS: Port
</pre>';
$string['testservers'] = 'เซิร์ฟเวอร์ทดสอบ';
$string['testservers_desc'] = 'เซิร์ฟเวอร์ทดสอบได้รับใช้สำหรับการทดสอบหน่วยและสำหรับการทดสอบประสิทธิภาพการทำงาน มันเป็นตัวเลือกทั้งหมดในการตั้งค่าเซิร์ฟเวอร์ทดสอบ เซิร์ฟเวอร์ควรจะกำหนดต่อหนึ่งบรรทัดและประกอบด้วยอยู่ของเซิร์ฟเวอร์และเลือกที่พอร์ตและน้ำหนัก ถ้าพอร์ตไม่ให้แล้วพอร์ตเริ่มต้น (11211) ถูกนำมาใช้';
$string['upgrade200recommended'] = 'เราขอแนะนำให้คุณอัปเกรดส่วนขยาย Memcached PHP เป็นเวอร์ชัน 2.0.0 หรือสูงกว่า รุ่นของส่วนขยายของ Memcached PHP ที่คุณใช้ไม่ได้มีฟังก์ชันการทำงานที่ Totara ใช้เพื่อตรวจสอบแคช Sandboxed จนกว่าคุณจะปรับรุ่นเราขอแนะนำให้คุณไม่กำหนดค่าโปรแกรมประยุกต์อื่น ๆ เพื่อใช้เซิร์ฟเวอร์ Memcached เดียวกันเนื่องจาก Totara มีการกำหนดค่าให้ใช้';
$string['usecompression'] = 'การใช้การบีบอัด';
$string['usecompression_help'] = 'เปิดหรือปิดใช้การบีบอัดน้ำหนักบรรทุก เมื่อเปิดใช้งานค่ารายการนานกว่าเกณฑ์ที่กำหนด (ปัจจุบัน 100 bytes) จะถูกบีบอัดในระหว่างการจัดเก็บและการแตกในระหว่างการดึงโปร่งใส';
$string['useserialiser'] = 'ใช้ serialiser';
$string['useserialiser_help'] = 'ระบุ Serializer ที่จะใช้สำหรับ serializing ค่าที่ไม่ใช่สเกลาร์ serializers ที่ถูกต้องจะ memcached :: SERIALIZER_PHP หรือ Memcached :: SERIALIZER_IGBINARY หลังได้รับการสนับสนุนเฉพาะเมื่อมีการกำหนดค่า memcached กับ --enable-memcached-igbinary ตัวเลือกและขยาย igbinary จะโหลด';
