<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ldap', language 'th', branch 'MOODLE_35_STABLE'
 *
 * @package   enrol_ldap
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'การกำหนดบทบาท \'{$a->role_shortname}\' ให้กับผู้ใช้ \'{$a->user_username}\' ในหลักสูตร \'{$a->course_shortname}\' (id {$a->course_id})';
$string['assignrolefailed'] = 'ล้มเหลวในการกำหนดบทบาท \'{$a->role_shortname}\' ให้กับผู้ใช้ \'{$a->user_username}\' ลงแน่นอน \'{$a->course_shortname}\' (id {$a->course_id})';
$string['autocreate'] = 'ระบบจะสร้างรายวิชาขึ้นโดยอัตโนมัติถ้าหากมีการสมัครเข้าเป็นนักเรียนในวิชาใด ๆ ถึงแม้จะยังไม่มีการสร้างรายวิชาดังกล่าวใน Moodle';
$string['autocreate_key'] = 'สร้างออโต้';
$string['autocreation_settings'] = 'การตั้งค่าการสร้างรายวิชาอัตโนมัติ';
$string['autoupdate_settings'] = 'การตั้งค่าการปรับปรุงหลักสูตรอัตโนมัติ';
$string['autoupdate_settings_desc'] = '<p> เลือกช่องเพื่ออัพเดตเมื่อใช้สคริปต์ซิงโครไนส์ (enroll / ldap / cli / sync.php) </p><p> เมื่อมีการเลือกฟิลด์อย่างน้อยหนึ่งฟิลด์การอัปเดตจะเกิดขึ้น </p>';
$string['bind_dn'] = 'ถ้าหากต้องการใช้ bind-user ในการค้นหาผู้ใช้ให้ระบุค่าที่นี่ เช่น
\'cn=ldapuser,ou=public,o=org\'';
$string['bind_dn_key'] = 'ผู้ใช้ผูกชื่อที่แตกต่าง';
$string['bind_pw'] = 'รหัสผ่านสำหรับ bind-user';
$string['bind_pw_key'] = 'รหัสผ่าน';
$string['bind_settings'] = 'ผูกการตั้งค่า';
$string['cannotcreatecourse'] = 'ไม่สามารถสร้างสนาม: ข้อมูลที่จำเป็นขาดหายไปจากบันทึก LDAP!';
$string['cannotupdatecourse'] = 'ไม่สามารถปรับปรุงหลักสูตร: หายไปข้อมูลที่ต้องการจากบันทึก LDAP! หลักสูตร IDNumber: \'{$a->idnumber}\'';
$string['cannotupdatecourse_duplicateshortname'] = 'ไม่สามารถปรับปรุงหลักสูตร: ซ้ำชื่อสั้น ข้ามหลักสูตรด้วย IDNumber \'{$a->idnumber }\'...';
$string['category'] = 'ประเภทสำหรับรายวิชาที่สร้างขึ้นอัตโนมัติ';
$string['category_key'] = 'ประเภท';
$string['contexts'] = 'LDAP บริบท';
$string['couldnotfinduser'] = 'ไม่พบผู้ใช้ {$a} \', ข้าม';
$string['course_fullname'] = 'ตัวเลือก :  ฟิลด์ LDAP ที่จะดึงข้อมูลชื่อเต็ม';
$string['course_fullname_key'] = 'ชื่อเต็ม';
$string['course_fullname_updateonsync'] = 'อัปเดตชื่อเต็มระหว่างสคริปต์การซิงค์';
$string['course_fullname_updateonsync_key'] = 'ปรับปรุงชื่อเต็ม';
$string['course_idnumber'] = 'ชี้ไปยัง unique identifier ใน LDAP โดยทั่วไปแล้วจะเป็น <em>cn</em> หรือ<em>uid</em>  คุณควรจะทำการล็อคค่านี้เอาไว้หากเลือกใช้วิธีการสร้างรายวิชาอัตโนมัติ';
$string['course_idnumber_key'] = 'หมายเลข';
$string['coursenotexistskip'] = 'หลักสูตร \'{$a}\' ไม่มีอยู่และ autocreation ปิดการใช้งาน หรือข้ามไป';
$string['course_search_sub'] = 'ค้นหากลุ่มสมาชิกจาก subcontexts';
$string['course_search_sub_key'] = 'ค้นหา subcontexts';
$string['course_settings'] = 'การตั้งค่าการรับเข้าเป็นนักเรียนในรายวิชา';
$string['course_shortname'] = 'ตัวเลือก : ฟิลด์ LDAP ที่จะดึงข้อมูลชื่อย่อ';
$string['course_shortname_key'] = 'ชื่อสั้น';
$string['course_shortname_updateonsync'] = 'อัปเดตชื่อสั้น ๆ ในระหว่างสคริปต์การซิงโครไนซ์';
$string['course_shortname_updateonsync_key'] = 'ปรับปรุงชื่อสั้น';
$string['course_summary'] = 'ตัวเลือก : ฟิลด์ LDAP ที่จะดึงข้อมูลบทคัดย่อ';
$string['course_summary_key'] = 'สรุป';
$string['course_summary_updateonsync'] = 'สรุปการอัปเดตระหว่างสคริปต์การซิงค์';
$string['course_summary_updateonsync_key'] = 'ปรับปรุงการสรุป';
$string['courseupdated'] = 'หลักสูตรด้วย IDNumber \'{$a->idnumber}\' ถูกปรับปรุงเรียบร้อยแล้ว';
$string['courseupdateskipped'] = 'หลักสูตรด้วย IDNumber \'{$a->idnumber}\' ไม่จำเป็นต้องมีการปรับปรุง ข้าม ..';
$string['createcourseextid'] = 'CREATE ผู้ใช้ที่ลงทะเบียนเรียนในหลักสูตรที่ไม่มีอยู่ \'{$a->courseextid}\'';
$string['createnotcourseextid'] = 'ผู้ใช้ที่ลงทะเบียนเรียนในหลักสูตรที่ไม่มีอยู่ \'{$a->courseextid}\'';
$string['creatingcourse'] = 'กำลังสร้างหลักสูตร \'{$a}\'...';
$string['duplicateshortname'] = 'การสร้างหลักสูตรล้มเหลว ซ้ำชื่อสั้น ข้ามหลักสูตรด้วย IDNumber \'{$a->idnumber }\'...';
$string['editlock'] = 'ล็อคค่า';
$string['emptyenrolment'] = 'ลงทะเบียนที่ว่างเปล่าสำหรับบทบาท \'{$a->role_shortname}\' ในหลักสูตร \'{$a->course_shortname}\'';
$string['enrolname'] = 'LDAP';
$string['enroluser'] = 'ลงทะเบียนผู้ใช้ {$a->user_username} \'ลงแน่นอน\' {$a->course_shortname} \'(id {$a->course_id})';
$string['enroluserenable'] = 'การลงทะเบียนเปิดใช้งานสำหรับผู้ใช้ \'{$a->user_username}\' ในหลักสูตร \'{$a->course_shortname}\' (id {$a->course_id})';
$string['explodegroupusertypenotsupported'] = 'ldap_explode_group () ไม่สนับสนุนชนิดที่เลือกใช้: {$a}';
$string['extcourseidinvalid'] = 'id หลักสูตรภายนอกไม่ถูกต้อง!';
$string['extremovedsuspend'] = 'การลงทะเบียนที่ไม่สามารถใช้งานได้สำหรับผู้ใช้ \'{$a->user_username}\' ในหลักสูตร \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedsuspendnoroles'] = 'การลงทะเบียนที่ไม่สามารถใช้งานได้และเอาบทบาทออกสำหรับผู้ใช้ \'{$a->user_username}\' ในหลักสูตร \'{$a->course_shortname}\' (id {$a->course_id})';
$string['extremovedunenrol'] = 'Unenrol ผู้ใช้ {$a->user_username} \'จากหลักสูตร\' {$a->course_shortname} \'(id {$a->course_id})';
$string['failed'] = 'ล้มเหลว!';
$string['general_options'] = 'ตัวเลือกทั่วไป';
$string['group_memberofattribute'] = 'ชื่อของแอตทริบิวต์ที่ระบุซึ่งกลุ่มผู้ใช้หรือกลุ่มที่ได้รับเป็นของ (เช่น memberOf, groupMembership ฯลฯ )';
$string['group_memberofattribute_key'] = '\'สมาชิก\' แอตทริบิวต์';
$string['host_url'] = 'ระบุ Host LDAP ในรูปแบบของ url เช่น \'ldap://ldap.myorg.com/\'';
$string['host_url_key'] = 'URL ที่โฮสต์';
$string['idnumber_attribute'] = 'หากสมาชิกกลุ่มมีชื่อที่แตกต่างให้ระบุแอตทริบิวต์เดียวกันกับที่คุณใช้สำหรับการแม็พผู้ใช้ \'ID Number\' ในการตั้งค่าการรับรองความถูกต้องของ LDAP';
$string['idnumber_attribute_key'] = 'ID แอตทริบิวต์จำนวน';
$string['ldap_encoding'] = 'ระบุการเข้ารหัสที่ใช้โดยเซิร์ฟเวอร์ LDAP ส่วนใหญ่อาจ UTF-8, MS AD v2 ใช้การเข้ารหัสแพลตฟอร์มเริ่มต้นเช่น cp1252, cp1250 ฯลฯ';
$string['ldap_encoding_key'] = 'การเข้ารหัส LDAP';
$string['ldap:manage'] = 'จัดการ LDAP กรณีลงทะเบียนเรียน';
$string['memberattribute'] = 'สมาชิกแอตทริบิวต์ LDAP';
$string['memberattribute_isdn'] = 'หากสมาชิกกลุ่มมีชื่อที่แตกต่างคุณต้องระบุที่นี่ ถ้าเช่นนั้นคุณต้องกำหนดการตั้งค่าที่เหลืออยู่ในส่วนนี้ด้วย';
$string['memberattribute_isdn_key'] = 'ลักษณะสมาชิกใช้ DN';
$string['nested_groups'] = 'คุณต้องการที่จะใช้กลุ่มที่ซ้อนกัน (กลุ่มกลุ่ม) สำหรับการลงทะเบียน?';
$string['nested_groups_key'] = 'กลุ่มที่ซ้อนกัน';
$string['nested_groups_settings'] = 'การตั้งค่ากลุ่มที่ซ้อนกัน';
$string['nosuchrole'] = 'ไม่มีบทบาทดังกล่าว: \'{$a}\'';
$string['objectclass'] = 'objectClass ที่ใช้ในการค้นหารายวิชา โดยทั่วไปใช้ \'posixGroup\'';
$string['objectclass_key'] = 'วัตถุของชั้นเรียน';
$string['ok'] = 'ตกลง!';
$string['opt_deref'] = 'หากการเป็นสมาชิกกลุ่มมีชื่อที่แตกต่างให้ระบุว่ามีการจัดการชื่อแทนในระหว่างการค้นหา เลือกค่าใดค่าหนึ่งต่อไปนี้: \'ไม่\' (LDAP_DEREF_NEVER) หรือ \'ใช่\' (LDAP_DEREF_ALWAYS)';
$string['opt_deref_key'] = 'dereference นามแฝง';
$string['phpldap_noextension'] = '<em>PHP โมดูล LDAP ดูเหมือนจะไม่เป็นปัจจุบัน กรุณาตรวจสอบว่ามีการติดตั้งและเปิดใช้งานถ้าคุณต้องการใช้ปลั๊กอินการลงทะเบียนนี้</em>';
$string['pluginname'] = 'การลงทะเบียน LDAP';
$string['pluginname_desc'] = '<p>ท่านสามารถใช้เซิร์ฟเวอร์ LDAP สำหรับอนุมัติให้เข้าเรียน โดยเซิร์ฟเวอร์ดังกล่าวจะต้องประกอบไปด้วยกลุ่มที่ชี้ไปยังรายวิชาต่าง ๆ  และ กลุ่มหรือรายวิชานั้น ๆ จะมีรายชื่อสมาชิกเพื่อยันกับข้อมูลในเซิร์ฟเวอร์ </p>
<p>ภายใน LDAP นั้นจะมีการจำกัดความรายวิชาให้เป็นกลุ่มหนึ่งกลุ่ม โดยแต่ละกลุ่มจะมีฟิลด์สมาชิกหลายฟิลด์ด้วยกันเช่น
(<em>member</em> or <em>memberUid</em>)
ซึ่งจะเป็นข้อมูลเฉพาะสำหรับการยืนยันตัวผู้ใช้แต่ละคน
</p>
<p>ในการใช้การอนุมัติผ่าน LDAP นั้น< ผู้ใช้ต้องมีฟิลด์หมายเลขประจำตัว (ID Number) ที่ถูกต้อง  โดยในกลุ่มแต่ละกลุ่มใน LDAP จะต้องมีฟิลด์หมายเลขประจำตัวในฟิลด์สมาชิกที่สร้างขึ้นสำหรับสมาชิกในการจะเข้าเป็นนักเรียนในรายวิชานั้น ๆ  จะใช้งานได้ดีหากท่านใช้การอนุมัติผ่าน LDAP อยู่ก่อนแล้ว</p>

<p>ระบบจะทำการอัพเดทข้อมูลการเข้าเป็นนักเรียนทุกครั้งที่สมาชิกเข้าสู่ระบบ คุณสามารถใช้งานสคริปต์เพื่อให้ข้อมูลการเป็นนักเรียนนั้นตรงกัน ให้ดูใน <em>enrol/ldap/enrol_ldap_sync.php</em>.</p>

<p>ปลั๊กอินนี้สามารถสร้างรายวิชาใหม่ขึ้นทันทีที่ปรากฎชื่อกลุ่มใหม่ขึ้นภายใน LDAP</P>';
$string['pluginnotenabled'] = 'ปลั๊กอินไม่เปิดใช้งาน!';
$string['role_mapping'] = '<p> สำหรับบทบาทที่คุณต้องการกำหนดจาก LDAP แต่ละท่านจะต้องระบุรายชื่อของบริบทที่กลุ่มหลักสูตรบทบาทของที่มีอยู่ เฉพาะกิจบริบทที่แตกต่างกันด้วย \';\' </p><p> นอกจากนี้คุณยังจะต้องระบุแอตทริบิวต์เซิร์ฟเวอร์ LDAP ของคุณใช้เพื่อรักษาสมาชิกของกลุ่ม โดยปกติ \'สมาชิก\' หรือ \'memberUid\' </p>';
$string['role_mapping_attribute'] = 'สมาชิก LDAP แอตทริบิวต์สำหรับ {$a}';
$string['role_mapping_context'] = 'บริบท LDAP สำหรับ {$a}';
$string['role_mapping_key'] = 'แปลงบทบาทจาก LDAP';
$string['roles'] = 'การแปลงบทบาท';
$string['server_settings'] = 'การตั้งค่าเซิร์ฟเวอร์ LDAP';
$string['synccourserole'] = '== หลักสูตรการปรับข้อมูล \'{$a->idnumber}\' สำหรับบทบาท \'{$a->role_shortname}';
$string['syncenrolmentstask'] = 'ซิงโครไนซ์งานการให้สิทธิเข้าเรียน';
$string['template'] = 'ตัวเลือก :  การสร้างรายวิชาอัตโนมัติสามารถทำการสำเนาค่าต่าง ๆ จากรายวิชาต้นแบบ';
$string['template_key'] = 'แบบ';
$string['unassignrole'] = 'บทบาท Unassigning \'{$a->role_shortname}\' ให้กับผู้ใช้ \'{$a->user_username}\' จากหลักสูตร \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignrolefailed'] = 'ล้มเหลวที่จะยกเลิกการกำหนดบทบาท \'{$a->role_shortname}\' ให้กับผู้ใช้ \'{$a->user_username}\' จากหลักสูตร \'{$a->course_shortname}\' (id {$a->course_id})';
$string['unassignroleid'] = 'ไม่ได้กำหนดบทบาท id \'{$a->role_id}\' เพื่อผู้ใช้ id \'{$a->user_id}\'';
$string['updatelocal'] = 'อัพเดทข้อมูลในเครื่อง';
$string['user_attribute'] = 'หากสมาชิกกลุ่มมีชื่อที่แตกต่างให้ระบุแอ็ตทริบิวต์ที่ใช้เพื่อตั้งชื่อ / ค้นหาผู้ใช้ หากคุณใช้การตรวจสอบสิทธิ์ LDAP ค่านี้ควรตรงกับแอตทริบิวต์ที่ระบุไว้ในการทำแผนที่ &quot;ID Number&quot; ในปลั๊กอินการตรวจสอบสิทธิ์ LDAP';
$string['user_attribute_key'] = 'หมายเลข ID แอตทริบิวต์';
$string['user_contexts'] = 'หากการเป็นสมาชิกกลุ่มมีชื่อที่แตกต่างให้ระบุรายการบริบทที่ผู้ใช้ตั้งอยู่ แยกบริบทที่ต่างกันออกด้วยเครื่องหมายกึ่งกลาง (;) ตัวอย่างเช่น: \'ou = users, o = org; ou = อื่น ๆ o = org\'';
$string['user_contexts_key'] = 'บริบทต่างๆ';
$string['user_search_sub'] = 'หากสมาชิกกลุ่มมีชื่อที่แตกต่างให้ระบุว่าการค้นหาผู้ใช้จะทำในบริบทย่อยด้วยหรือไม่';
$string['user_search_sub_key'] = 'ค้นหา subcontexts';
$string['user_settings'] = 'ผู้ใช้งานการตั้งค่าการค้นหา';
$string['user_type'] = 'หากเป็นสมาชิกของกลุ่มมีชื่อที่แตกต่างระบุว่าผู้ใช้จะถูกเก็บไว้ใน LDAP';
$string['user_type_key'] = 'ประเภทผู้ใช้';
$string['version'] = 'เวอร์ชันของ LDAP ที่ใช้อยู่';
$string['version_key'] = 'รุ่น';
