<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_paypal', language 'th', branch 'MOODLE_35_STABLE'
 *
 * @package   enrol_paypal
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['assignrole'] = 'กำหนดบทบาท';
$string['businessemail'] = 'อีเมลธุรกิจ PayPal';
$string['businessemail_desc'] = 'ที่อยู่อีเมลของธุรกิจของคุณบัญชี PayPal';
$string['cost'] = 'สมัครเรียนค่าใช้จ่าย';
$string['costerror'] = 'ค่าใช้จ่ายในการลงทะเบียนไม่ได้เป็นตัวเลข';
$string['costorkey'] = 'กรุณาเลือกวิธีการด้านล่างนี้ในการสมัครเข้าเรียน';
$string['currency'] = 'เงินตรา';
$string['defaultrole'] = 'เริ่มต้นการกำหนดบทบาท';
$string['defaultrole_desc'] = 'เลือกบทบาทที่ควรจะได้รับมอบหมายให้ผู้ใช้ในระหว่างการลงทะเบียน PayPal';
$string['enrolenddate'] = 'วันที่สิ้นสุด';
$string['enrolenddate_help'] = 'หากเปิดใช้งานผู้ใช้สามารถลงทะเบียนจนถึงวันนี้เท่านั้น';
$string['enrolenddaterror'] = 'วันที่สิ้นสุดการลงทะเบียนไม่สามารถจะเร็วกว่าวันที่เริ่มต้น';
$string['enrolperiod'] = 'การลงทะเบียนในช่วงระยะเวลา';
$string['enrolperiod_desc'] = 'ความยาวเริ่มต้นในช่วงเวลานั้นการลงทะเบียนที่ถูกต้อง ถ้าตั้งค่าเป็นศูนย์ระยะเวลาการลงทะเบียนจะไม่ จำกัด โดยค่าเริ่มต้น';
$string['enrolperiod_help'] = 'ความยาวของช่วงเวลานั้นการลงทะเบียนที่ถูกต้องเริ่มต้นด้วยช่วงเวลาที่ผู้ใช้จะได้รับการลงทะเบียน หากปิดการใช้งานระยะเวลาการลงทะเบียนจะไม่ จำกัด';
$string['enrolstartdate'] = 'วันที่เริ่มต้น';
$string['enrolstartdate_help'] = 'หากเปิดใช้งานผู้ใช้สามารถลงทะเบียนตั้งแต่วันนี้เป็นต้นไปเท่านั้น';
$string['errdisabled'] = 'ปลั๊กอินการให้สิทธิเข้าเรียน PayPal ถูกปิดใช้งานและไม่จัดการการแจ้งเตือนการชำระเงิน';
$string['erripninvalid'] = 'การแจ้งการชำระเงินทันทีไม่ได้รับการยืนยันจาก PayPal';
$string['errpaypalconnect'] = 'ไม่สามารถเชื่อมต่อกับ {$a->url} เพื่อยืนยันการแจ้งเตือนการชำระเงินทันที: {$a->result}';
$string['expiredaction'] = 'การดำเนินการหมดอายุการลงทะเบียน';
$string['expiredaction_help'] = 'การดำเนินการเลือกที่จะดำเนินการเมื่อการลงทะเบียนผู้ใช้หมดอายุ โปรดทราบว่าบางข้อมูลของผู้ใช้และการตั้งค่าจะถูกไล่ออกจากสนามในช่วง unenrolment หลักสูตร';
$string['mailadmins'] = 'แจ้งผู้ดูแลระบบ';
$string['mailstudents'] = 'แจ้งผู้เรียนต่างๆ';
$string['mailteachers'] = 'แจ้งผู้สอนต่างๆ';
$string['messageprovider:paypal_enrolment'] = 'PayPal ข้อความลงทะเบียน';
$string['nocost'] = 'มีค่าใช้จ่ายที่เกี่ยวข้องกับการลงทะเบียนเรียนในหลักสูตรนี้เป็น!';
$string['paypalaccepted'] = 'การชำระเงิน PayPal ได้รับการยอมรับ';
$string['paypal:config'] = 'กำหนดค่าลงทะเบียนเรียน PayPal กรณี';
$string['paypal:manage'] = 'จัดการผู้ใช้ที่ลงทะเบียนเรียน';
$string['paypal:unenrol'] = 'ผู้ใช้ ไม่ลงทะเบียนจากหลักสูตร';
$string['paypal:unenrolself'] = 'ไม่ลงทะเบียนตนเองจากหลักสูตร';
$string['pluginname'] = 'PayPal';
$string['pluginname_desc'] = 'โมดูล PayPal ช่วยให้คุณสามารถตั้งค่าหลักสูตรการชำระเงิน หากค่าใช้จ่ายสำหรับหลักสูตรใดเป็นศูนย์แล้วนักเรียนจะได้ไม่ต้องจ่ายสำหรับรายการ มีค่าใช้จ่ายทั้งไซต์ที่คุณตั้งไว้ที่นี่เป็นค่าเริ่มต้นสำหรับเว็บไซต์ทั้งหมดและจากนั้นตั้งค่าแน่นอนว่าคุณสามารถกำหนดให้แต่ละหลักสูตรรายบุคคลเป็น ค่าใช้จ่ายหลักสูตรแทนที่ค่าใช้จ่ายที่เว็บไซต์';
$string['sendpaymentbutton'] = 'ส่งค่าลงทะเบียนผ่าน Paypal';
$string['status'] = 'อนุญาตให้ลงทะเบียน PayPal';
$string['status_desc'] = 'อนุญาตให้ผู้ใช้สามารถใช้ PayPal จะลงทะเบียนเรียนในการสอนรายวิชาโดยค่าเริ่มต้น';
$string['unenrolselfconfirm'] = 'คุณต้องการที่จะไม่ลงทะเบียนตัวเองจากหลักสูตร "{$a}"?';
$string['userdataitemtransaction_information'] = 'ข้อมูลธุรกรรม PayPal';
