<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'mimetypes', language 'th', branch 'MOODLE_35_STABLE'
 *
 * @package   mimetypes
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['application/epub_zip'] = 'EPUB ebook';
$string['application/json'] = '{$a->MIMETYPE2} ข้อความ';
$string['application/msword'] = 'เอกสารเวิร์ด';
$string['application/pdf'] = 'เอกสาร pdf';
$string['application/vnd.moodle.backup'] = 'สำรอง Totara';
$string['application/vnd.ms-excel'] = 'ตาราง excel';
$string['application/vnd.ms-excel.sheet.macroEnabled.12'] = 'แมโครสมุดงาน Excel 2007 ที่เปิดใช้งาน';
$string['application/vnd.ms-powerpoint'] = 'พรีเซนเทชั่น';
$string['application/vnd.oasis.opendocument.spreadsheet'] = 'สเปรดชีต OpenDocument';
$string['application/vnd.oasis.opendocument.spreadsheet-template'] = 'แม่แบบสเปรดชีต OpenDocument';
$string['application/vnd.oasis.opendocument.text'] = 'เอกสารข้อความ OpenDocument';
$string['application/vnd.oasis.opendocument.text-template'] = 'เทมเพลตข้อความ OpenDocument';
$string['application/vnd.oasis.opendocument.text-web'] = 'เทมเพลตเว็บเพจ OpenDocument';
$string['application/vnd.openxmlformats-officedocument.presentationml.presentation'] = 'งานนำเสนอ PowerPoint';
$string['application/vnd.openxmlformats-officedocument.presentationml.slideshow'] = 'สไลด์ PowerPoint';
$string['application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'] = 'กระดาษคำนวณ Excel';
$string['application/vnd.openxmlformats-officedocument.spreadsheetml.template'] = 'แม่แบบ Excel';
$string['application/vnd.openxmlformats-officedocument.wordprocessingml.document'] = 'เอกสาร Word';
$string['application/xhtml_xml'] = 'เอกสาร XHTML';
$string['application/x-iwork-keynote-sffkey'] = 'งานนำเสนอ Keynote iWork';
$string['application/x-iwork-numbers-sffnumbers'] = 'สเปรดชีต iWork Numbers';
$string['application/x-iwork-pages-sffpages'] = 'เอกสาร iWork Pages';
$string['application/x-javascript'] = 'แหล่ง JavaScript';
$string['application/x-mspublisher'] = 'เอกสารผู้จัดพิมพ์';
$string['application/x-shockwave-flash'] = 'ภาพเคลื่อนไหว Flash';
$string['archive'] = 'คลัง ({$a->EXT})';
$string['audio'] = 'ไฟล์เสียง ({$a->EXT})';
$string['default'] = '{$a->mimetype}';
$string['document/unknown'] = 'ไฟล์';
$string['group:archive'] = 'ไฟล์ที่จัดเก็บ';
$string['group:audio'] = 'ไฟล์เสียง';
$string['group:document'] = 'ไฟล์เอกสาร';
$string['group:html_audio'] = 'ไฟล์เสียงที่ได้รับการสนับสนุนโดยเบราว์เซอร์';
$string['group:html_track'] = 'ไฟล์แทร็ก HTML';
$string['group:html_video'] = 'ไฟล์วิดีโอที่รองรับโดยเบราว์เซอร์';
$string['group:image'] = 'ไฟล์รูปภาพ';
$string['group:presentation'] = 'ไฟล์งานนำเสนอ';
$string['group:sourcecode'] = 'รหัสต้นฉบับ';
$string['group:spreadsheet'] = 'ไฟล์สเปรดชีต';
$string['group:video'] = 'ไฟล์วิดีโอ';
$string['group:web_audio'] = 'ไฟล์เสียงที่ใช้บนเว็บ';
$string['group:web_file'] = 'ไฟล์เว็บ';
$string['group:web_image'] = 'ไฟล์ภาพที่ใช้บนเว็บ';
$string['group:web_video'] = 'ไฟล์วิดีโอที่ใช้บนเว็บ';
$string['image'] = 'ภาพ ({$a->MIMETYPE2})';
$string['image/vnd.microsoft.icon'] = 'ไอคอน Windows';
$string['text/css'] = 'Cascading สไตล์ชีท';
$string['text/csv'] = 'ค่าที่คั่นด้วยจุลภาค';
$string['text/html'] = 'เอกสาร HTML';
$string['text/plain'] = 'ไฟล์ตัวหนังสือ';
$string['text/rtf'] = 'เอกสาร RTF';
$string['text/vtt'] = 'ข้อความเว็บวิดีโอ';
$string['video'] = 'ไฟล์วิดีโอ ({$a->EXT})';
