<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'th', branch 'MOODLE_35_STABLE'
 *
 * @package   report_security
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p> ขอแนะนำให้สิทธิ์ของแฟ้มของ config.php มีการเปลี่ยนแปลงหลังจากการติดตั้งเพื่อให้ไฟล์ไม่สามารถแก้ไขได้โดยเว็บเซิร์ฟเวอร์ โปรดทราบว่าวัดนี้ไม่ได้ปรับปรุงการรักษาความปลอดภัยของเซิร์ฟเวอร์อย่างมีนัยสำคัญถึงแม้ว่ามันอาจชะลอตัวลงหรือ จำกัด การหาประโยชน์ทั่วไป </p>';
$string['check_configrw_name'] = 'เขียนได้ config.php';
$string['check_configrw_ok'] = 'config.php ไม่สามารถแก้ไขได้โดยคริป PHP';
$string['check_configrw_warning'] = 'PHP สคริปต์อาจแก้ไข config.php';
$string['check_cookiehttponly_details'] = '<p> ก็จะแนะนำว่าคุกกี้ HTTP เท่านั้นถูกเปิดใช้งานเพื่อป้องกันไม่ให้สคริปต์ฝั่งไคลเอ็นต์จากการเข้าถึงคุกกี้ที่กำหนดโดยเซิร์ฟเวอร์เพื่อช่วยลดความเสี่ยงของการโจมตี XSS </p><p>  HTTP เท่านั้นได้รับการสนับสนุนจากเบราว์เซอร์ที่ทันสมัย แต่โปรดทราบว่าเบราว์เซอร์รุ่นเก่าอาจไม่สนับสนุนเรื่องนี้และดังนั้นจึงควรได้รับการพิจารณาความปลอดภัยน้อยลง </p>';
$string['check_cookiehttponly_error'] = 'โปรดเปิดใช้งานคุกกี้ HTTP เท่านั้น';
$string['check_cookiehttponly_name'] = 'คุกกี้ HTTP เท่านั้น';
$string['check_cookiehttponly_ok'] = 'คุกกี้ HTTP เท่านั้นที่เปิดใช้งาน';
$string['check_cookiesecure_details'] = '<p> ถ้าคุณเปิดใช้ https สื่อสารก็ขอแนะนำว่าคุณยังเปิดใช้งานทำที่เชื่อถือได้ นอกจากนี้คุณยังควรเพิ่มการเปลี่ยนเส้นทางถาวรจาก http เพื่อ https </p>';
$string['check_cookiesecure_error'] = 'กรุณาเปิดใช้งานคุกกี้ที่เชื่อถือได้';
$string['check_cookiesecure_name'] = 'การรักษาความปลอดภัยจาก cookies';
$string['check_cookiesecure_ok'] = 'การรักษาความปลอดภัยจาก cookies มีการใช้งาน';
$string['check_defaultuserrole_details'] = '<p> ทั้งหมดเข้าสู่ระบบผู้ใช้จะได้รับความสามารถของบทบาทของผู้ใช้เริ่มต้น กรุณาตรวจสอบให้แน่ใจว่าไม่มีความสามารถในการมีความเสี่ยงที่จะได้รับอนุญาตในบทบาทนี้ </p><p> <em>ประเภทมรดกสนับสนุนเฉพาะสำหรับบทบาทของผู้ใช้เริ่มต้นเป็นผู้รับรองความถูกต้อง</em> ความสามารถในการมองเห็นวิวสนามจะต้องไม่ถูกใช้งาน </p>';
$string['check_defaultuserrole_error'] = 'บทบาทของผู้ใช้เริ่มต้น &quot;{$a}&quot; หมายไม่ถูกต้อง!';
$string['check_defaultuserrole_name'] = 'บทบาทเริ่มต้นสำหรับผู้ใช้ทั้งหมด';
$string['check_defaultuserrole_notset'] = 'บทบาทเริ่มต้นไม่ได้ตั้งค่า';
$string['check_defaultuserrole_ok'] = 'บทบาทเริ่มต้นสำหรับทุกความหมายที่ผู้ใช้จะตกลง';
$string['check_devgraphql_details'] = '<p>เมื่อใช้โปรแกรมเมอร์โค้ดใหม่อาจเปิดใช้งานโหมดการพัฒนาสำหรับ API ที่ใช้ GraphQL โดยกำหนดค่าคงที่ GRAPHQL_DEVELOPMENT_MODE ใน config.php ต้องไม่เปิดใช้งานโหมดนี้บนเซิร์ฟเวอร์ที่ใช้งานจริงด้วยเหตุผลด้านความปลอดภัยและประสิทธิภาพ</p>';
$string['check_devgraphql_error'] = 'โหมดการพัฒนา GraphQL เปิดใช้งานอยู่';
$string['check_devgraphql_name'] = 'โหมดการพัฒนา GraphQL';
$string['check_devgraphql_ok'] = 'โหมดการพัฒนา GraphQL ถูกปิดใช้งาน';
$string['check_disableconsistentcleaning_details'] = '<p>เราไม่แนะนำให้เปิดการตั้งค่า &quot;ปิดใช้งานการทำความสะอาดอย่างสม่ำเสมอ&quot;</p><p> เมื่อเปิดเนื้อหาที่สร้างโดยผู้สอนและผู้ใช้ที่มีสิทธิพิเศษอื่น ๆ จะไม่ได้รับการฆ่าเชื้ออย่างสม่ำเสมอ แท็ก HTML และแอตทริบิวต์ที่สามารถใช้เพื่อดำเนินการโจมตีด้านความปลอดภัยจะไม่ถูกลบออกจากพื้นที่เช่นคำอธิบายหลักสูตรการแนะนำกิจกรรมและคำถาม</p>';
$string['check_disableconsistentcleaning_name'] = 'ปิดการใช้งานการทำความสะอาดอย่างสม่ำเสมอ';
$string['check_disableconsistentcleaning_ok'] = 'ปิดการตั้งค่า &quot;ปิดใช้งานการทำความสะอาดอย่างสม่ำเสมอ&quot;';
$string['check_disableconsistentcleaning_serious'] = 'การตั้งค่า &quot;ปิดใช้งานการทำความสะอาดที่สอดคล้องกัน&quot; เปิดอยู่';
$string['check_displayerrors_details'] = '<p> เปิดใช้งานการตั้งค่า PHP <code>display_errors</code> ไม่แนะนำในเว็บไซต์การผลิตเนื่องจากข้อผิดพลาดสามารถที่จะเปิดเผยข้อมูลที่สำคัญเกี่ยวกับเซิร์ฟเวอร์ของคุณ </p>';
$string['check_displayerrors_error'] = 'PHP การตั้งค่าเพื่อแสดงข้อผิดพลาดที่มีการเปิดใช้ ขอแนะนำว่านี้เป็นคนพิการ';
$string['check_displayerrors_name'] = 'แสดงข้อผิดพลาด PHP';
$string['check_displayerrors_ok'] = 'แสดงข้อผิดพลาด PHP ปิดการใช้งาน';
$string['check_emailchangeconfirmation_details'] = '<p> ขอแนะนำว่าขั้นตอนการยืนยันทางอีเมลถูกต้องเมื่อผู้ใช้เปลี่ยนที่อยู่อีเมลของพวกเขาในรายละเอียดของพวกเขา หากปิดการใช้งานผู้ส่งอีเมลขยะอาจพยายามที่จะใช้ประโยชน์จากเซิร์ฟเวอร์เพื่อส่งสแปม </p><p> ข้อมูลอีเมล์อาจจะถูกล็อคจากปลั๊กอินการตรวจสอบความเป็นไปได้นี้จะไม่ถือว่าเป็นที่นี่ </p>';
$string['check_emailchangeconfirmation_error'] = 'ผู้ใช้อาจป้อนที่อยู่อีเมลใด ๆ';
$string['check_emailchangeconfirmation_info'] = 'ผู้ใช้อาจป้อนที่อยู่อีเมลจากโดเมนที่ได้รับอนุญาตเท่านั้น';
$string['check_emailchangeconfirmation_name'] = 'อีเมลยืนยันการเปลี่ยนแปลง';
$string['check_emailchangeconfirmation_ok'] = 'ยืนยันการเปลี่ยนแปลงที่อยู่อีเมลในโปรไฟล์ของผู้ใช้';
$string['check_embed_details'] = '<p> วัตถุที่ฝังไม่ จำกัด เป็นอันตรายมาก - ผู้ใช้ที่จดทะเบียนใด ๆ อาจเปิดการโจมตี XSS กับผู้ใช้เซิร์ฟเวอร์อื่น การตั้งค่านี้ควรจะปิดใช้งานบนเซิร์ฟเวอร์การผลิต </p>';
$string['check_embed_error'] = 'วัตถุที่ฝังไม่ จำกัด การใช้งาน - นี้เป็นอันตรายมากสำหรับส่วนใหญ่ของเซิร์ฟเวอร์';
$string['check_embed_name'] = 'อนุญาตให้ EMBED และ OBJECT';
$string['check_embed_ok'] = 'วัตถุที่ไม่ จำกัด การฝังไม่ได้รับอนุญาต';
$string['check_frontpagerole_details'] = '<p> บทบาทเริ่มต้น FrontPage จะได้รับไปยังผู้ใช้ที่ลงทะเบียนทั้งหมดสำหรับกิจกรรม FrontPage กรุณาตรวจสอบให้แน่ใจว่าไม่มีความสามารถในการมีความเสี่ยงที่จะได้รับอนุญาตสำหรับบทบาทนี้ </p><p> ขอแนะนำว่าบทบาทพิเศษที่ถูกสร้างขึ้นมาเพื่อการนี้และบทบาทชนิดมรดกไม่ได้ใช้ </p>';
$string['check_frontpagerole_error'] = 'กำหนดไม่ถูกต้อง FrontPage บทบาท &quot;{$a}&quot; ตรวจพบ!';
$string['check_frontpagerole_name'] = 'บทบาท Frontpage';
$string['check_frontpagerole_notset'] = 'บทบาท Frontpage ไม่ได้ตั้งค่า';
$string['check_frontpagerole_ok'] = 'กำหนดบทบาทที่ Frontpage จะตกลง';
$string['check_google_details'] = '<p> เปิดการตั้งค่าของ Google ช่วยให้เครื่องมือค้นหาเพื่อเข้าสู่หลักสูตรที่มีการเข้าถึงของผู้เข้าพัก มีจุดในการเปิดใช้งานการตั้งค่านี้ถ้าการเข้าสู่ระบบของผู้เข้าพักเป็นไม่ได้รับอนุญาต </p>';
$string['check_google_error'] = 'ค้นหาเข้าถึงเครื่องมือที่ได้รับอนุญาต แต่เข้าสู่เป็นคนพิการ';
$string['check_google_info'] = 'เครื่องมือค้นหาอาจเข้าเป็นแขกรับเชิญ';
$string['check_google_name'] = 'เปิดไปที่ Google';
$string['check_google_ok'] = 'ค้นหาเข้าถึงเครื่องยนต์ไม่ได้เปิดใช้';
$string['check_guest_details'] = '<p> ก็จะแนะนำเพื่อป้องกันไม่ให้เข้าสู่ระบบโดยไม่ต้องมีบัญชีผู้ใช้ โปรดพิจารณาปิดการใช้งานปุ่ม &quot;เข้าสู่ระบบบุคคลทั่วไป&quot; การตั้งค่า </p>';
$string['check_guest_name'] = 'เข้าระบบด้วยบทบาทแขก';
$string['check_guest_ok'] = 'ผู้ใช้จะต้องเข้าสู่ระบบด้วยบัญชีของพวกเขา';
$string['check_guestrole_details'] = '<p> บทบาทของผู้เข้าพักจะใช้สำหรับผู้เข้าพักไม่ได้เข้าสู่ผู้ใช้และการเข้าถึงแน่นอนของผู้เข้าพักชั่วคราว กรุณาตรวจสอบให้แน่ใจว่าไม่มีความสามารถในการมีความเสี่ยงที่จะได้รับอนุญาตในบทบาทนี้ </p><p> <em>ประเภทมรดกสนับสนุนเฉพาะสำหรับบทบาทของผู้เข้าพักเป็นบุคคลทั่วไป</em> </p>';
$string['check_guestrole_error'] = 'บทบาทของผู้เข้าพัก &quot;{$a}&quot; หมายไม่ถูกต้อง!';
$string['check_guestrole_name'] = 'บทบาทของบุคคลทั่วไป';
$string['check_guestrole_notset'] = 'บทบาทของบุคคลทั่วไปไม่ได้ตั้งค่า';
$string['check_guestrole_ok'] = 'บุคคลทั่วไปกำหนดบทบาทที่จะตกลง';
$string['check_guest_warning'] = 'ผู้ใช้สามารถเข้าถึงเซิร์ฟเวอร์นี้ในฐานะแขกโดยไม่ต้องใช้รหัสผ่าน';
$string['check_https_details'] = '<p> โปรโตคอล HTTP เป็นประโยชน์ได้ง่ายจึงขอแนะนำให้ใช้โปรโตคอล HTTPS บนเซิร์ฟเวอร์ของการใช้งานทั้งหมด </p>';
$string['check_https_name'] = 'โปรโตคอล HTTPS';
$string['check_https_ok'] = 'โปรโตคอล HTTPS ถูกนำมาใช้';
$string['check_https_warning'] = 'ไม่ได้ใช้โปรโตคอล HTTPS';
$string['check_logincsrf_details'] = '<p>ขอแนะนำอย่างยิ่งให้เปิดใช้การป้องกัน CSRF ไว้ในไซต์การผลิตทั้งหมด อย่างไรก็ตามมันเข้ากันไม่ได้กับเพจล็อกอินทางเลือกที่เลิกใช้งานและอาจรบกวนปลั๊กอินการพิสูจน์ตัวตนที่กำหนดเองบางอย่าง ดู config.example.php สำหรับรายละเอียดเพิ่มเติม</p>';
$string['check_logincsrf_error'] = 'การป้องกัน CSRF ถูกปิดใช้งานในหน้าเข้าสู่ระบบ';
$string['check_logincsrf_name'] = 'การป้องกัน CSRF ในหน้าเข้าสู่ระบบ';
$string['check_logincsrf_ok'] = 'การป้องกัน CSRF ใช้งานได้ในหน้าเข้าสู่ระบบ';
$string['check_mediafilterswf_name'] = 'เปิดใช้งาน .swf กรองสื่อ';
$string['check_mediafilterswf_ok'] = 'แฟลชกรองสื่อที่ไม่ได้เปิดใช้';
$string['check_mediafilterswf_trusteddetails'] = '<p> การฝัง SWF โดยอัตโนมัติอาจเป็นอันตรายได้หากผู้ใช้ไม่เชื่อถือ ดูรายงานความปลอดภัยสำหรับผู้ใช้ที่เชื่อถือได้ของ XSS หากไม่ได้ใช้ให้ปิดใช้งานภาพเคลื่อนไหว Flash ในไซต์การผลิต </p>';
$string['check_mediafilterswf_warning'] = 'ตัวกรองสื่อ Flash ถูกเปิดใช้งานสำหรับผู้ใช้ที่เชื่อถือได้ การดำเนินการนี้จะเพิ่มความเสี่ยง XSS';
$string['check_noauth_details'] = '<p> <em>ไม่มีปลั๊กอินการตรวจสอบไม่ได้มีไว้สำหรับสถานที่ผลิต</em> กรุณาปิดการใช้งานเว้นแต่นี้คือการพัฒนาเว็บไซต์ทดสอบ </p>';
$string['check_noauth_error'] = 'ไม่มีปลั๊กอินการตรวจสอบไม่สามารถนำมาใช้ในสถานที่ผลิต';
$string['check_noauth_name'] = 'การตรวจสอบไม่มี';
$string['check_noauth_ok'] = 'ปลั๊กอินรับรองความถูกต้องไม่ถูกปิดใช้งาน';
$string['check_nodemodules_details'] = '<p> <em>{$a->path}</em> ไดเรกทอรีมีโมดูล Node.js และการอ้างอิงโดยทั่วไปจะติดตั้งโดยยูทิลิตี NPM โมดูลเหล่านี้อาจจำเป็นสำหรับการพัฒนา Totara ไม่จำเป็นต้องใช้งานเว็บไซต์ Totara และอาจมีรหัสอันตรายที่อาจทำให้ไซต์ของคุณถูกโจมตีได้จากระยะไกล </p><p> ขอแนะนำอย่างยิ่งให้นำไดเรกทอรีออกหากไซต์มีผ่านทาง URL สาธารณะหรืออย่างน้อยห้ามการเข้าถึงเว็บดังกล่าว </p>';
$string['check_nodemodules_info'] = 'ไดเร็กทอรี node_modules ไม่ควรมีอยู่ในไซต์สาธารณะ';
$string['check_nodemodules_name'] = 'ไดเร็กทอรีโมดูล Node.js';
$string['check_oauth2verify_detailed'] = '<p>ขอแนะนำให้กำหนดค่าผู้ให้บริการ OAuth 2 ทั้งหมดเพื่อบังคับใช้การยืนยันบัญชีอีเมลของผู้ใช้โดยเปิดใช้งาน <code>Require email verification</code> ในหน้าการกำหนดค่าผู้ออก OAuth 2</p><p> มีความเป็นไปได้ที่ผู้ใช้จะบุกรุกบัญชี Totara ของผู้ใช้รายอื่นด้วยที่อยู่อีเมลเดียวกันเมื่อเข้าสู่ระบบผ่านผู้ให้บริการ OAuth 2 ความเสี่ยงจะเกิดขึ้นเมื่อทั้งสองหรือหนึ่งในผู้ออก OAuth 2 หรือไซต์ Totara อนุญาตให้ผู้ใช้แชร์ที่อยู่อีเมล</p>';
$string['check_oauth2verify_info_oauth2'] = 'ไม่ได้กำหนดค่าผู้ออก OAuth 2 อย่างน้อยหนึ่งรายเพื่อยืนยันที่อยู่อีเมลของผู้ใช้';
$string['check_oauth2verify_info_ok'] = 'ผู้ออก OAuth 2 และไซต์ Totara ได้รับการกำหนดค่าให้ไม่อนุญาตให้แชร์ที่อยู่อีเมลระหว่างผู้ใช้';
$string['check_oauth2verify_info_totara'] = 'ปัจจุบันการกำหนดค่า Totara อนุญาตให้ผู้ใช้แบ่งปันที่อยู่อีเมล';
$string['check_oauth2verify_info_totara_oauth2'] = 'ปัจจุบันการกำหนดค่า Totara อนุญาตให้ผู้ใช้แบ่งปันที่อยู่อีเมล นอกจากนี้ยังไม่มีการกำหนดค่าผู้ออก OAuth 2 อย่างน้อยหนึ่งรายเพื่อยืนยันที่อยู่อีเมลของผู้ใช้';
$string['check_oauth2verify_name'] = 'การยืนยันอีเมล OAuth 2';
$string['check_openprofiles_details'] = 'โปรไฟล์ผู้ใช้เปิดสามารถนำมาทำร้ายโดยผู้ส่งอีเมลขยะ ขอแนะนำให้ทั้ง <code>Force users to log in for profiles</code> หรือ <code>Force users to log in</code> มีการใช้งาน';
$string['check_openprofiles_error'] = 'ทุกคนสามารถอาจดูโปรไฟล์ผู้ใช้โดยไม่ต้องเข้า';
$string['check_openprofiles_name'] = 'โปรไฟล์ผู้ใช้เปิด';
$string['check_openprofiles_ok'] = 'จะต้องเข้าสู่ระบบก่อนที่จะดูโปรไฟล์ผู้ใช้';
$string['check_passwordpolicy_details'] = '<p> ขอแนะนำให้นโยบายรหัสผ่านมีการตั้งค่ารหัสผ่านที่คาดเดาตั้งแต่เป็นอย่างมากมักจะเป็นวิธีที่ง่ายที่สุดที่จะได้รับการเข้าถึงไม่ได้รับอนุญาต อย่าทำให้ความต้องการที่เข้มงวดเกินไปแม้ว่าขณะนี้จะส่งผลให้ผู้ใช้จะไม่สามารถจำรหัสผ่านของพวกเขาและทั้งพวกเขาลืมหรือเขียนพวกเขาลง </p>';
$string['check_passwordpolicy_error'] = 'นโยบายรหัสผ่านไม่ได้ตั้งค่า';
$string['check_passwordpolicy_name'] = 'นโยบายรหัสผ่าน';
$string['check_passwordpolicy_ok'] = 'นโยบายรหัสผ่านการใช้งาน';
$string['check_persistentlogin_details'] = '<p>หากเปิดใช้งานการเข้าสู่ระบบแบบถาวรจะละเว้นการหมดเวลาเซสชันมาตรฐานและตั้งค่าคุกกี้เบราว์เซอร์ถาวร คุกกี้นี้ถูกใช้ในภายหลังเพื่อล็อกอินผู้ใช้อีกครั้งโดยอัตโนมัติหลังจากที่เบราว์เซอร์รีสตาร์ทหรือหมดเวลาเซสชัน</p>';
$string['check_persistentlogin_name'] = 'การเข้าสู่ระบบแบบต่อเนื่อง';
$string['check_persistentlogin_ok'] = 'การเข้าสู่ระบบต่อเนื่องถูกปิดใช้งาน';
$string['check_persistentlogin_warning'] = 'การเข้าสู่ระบบต่อเนื่องอาจถือเป็นความเสี่ยงด้านความปลอดภัย';
$string['check_preventexecpath_details'] = '<p>การอนุญาตให้กำหนดเส้นทางปฏิบัติการผ่าน Admin GUI เป็นเวกเตอร์สำหรับการเลื่อนระดับสิทธิ์</p>';
$string['check_preventexecpath_name'] = 'เส้นทางที่เรียกใช้งานได้';
$string['check_preventexecpath_ok'] = 'พาธ ที่เรียกใช้งานได้สามารถกำหนดได้ใน config.php เท่านั้น';
$string['check_preventexecpath_warning'] = 'สามารถกำหนดเส้นทางที่เรียกใช้งานได้ใน Admin GUI';
$string['check_repositoryurl_details'] = '<p> การเปิดใช้งานดาวน์โหลด URL ที่สามารถช่วยให้ผู้ใช้ภายนอกในการเข้าถึง URL ที่ภายในเครือข่ายภายในของคุณ คุณไม่ควรเปิดใช้งานคุณลักษณะนี้ถ้าคุณมีผู้ใช้ที่ได้รับอนุญาตให้เข้าถึง LMS ของคุณ แต่ไม่ได้รับอนุญาตให้เข้าถึงแหล่งข้อมูลอื่น ๆ ในเครือข่ายภายในของคุณที่สามารถเข้าถึงได้จากเซิร์ฟเวอร์ LMS </p>';
$string['check_repositoryurl_name'] = 'พื้นที่เก็บข้อมูล Downloader URL';
$string['check_repositoryurl_ok'] = 'พื้นที่เก็บข้อมูล Downloader URL ไม่เปิดใช้งาน';
$string['check_repositoryurl_warning'] = 'พื้นที่เก็บข้อมูล Downloader URL ที่ถูกเปิดใช้งาน';
$string['check_resourcesallowpdfembedding_details'] = '<p>ผู้ใช้อาจอัปโหลดไฟล์ PDF ที่ไม่น่าเชื่อถือเป็นทรัพยากรไฟล์</p><p> ขอแนะนำให้ปิดใช้งานการตั้งค่า &quot;อนุญาตการฝัง PDF&quot;</p>';
$string['check_resourcesallowpdfembedding_name'] = 'การฝังไฟล์ PDF ในแหล่งข้อมูลหลักสูตร';
$string['check_resourcesallowpdfembedding_ok'] = 'ไฟล์ PDF ที่อัปโหลดไม่ได้เปิดโดยตรงในเบราว์เซอร์';
$string['check_resourcesallowpdfembedding_warning'] = 'ไฟล์ PDF ที่อัปโหลดอาจเปิดได้โดยตรงในเบราว์เซอร์';
$string['check_resourcesallowxss_details'] = '<p>ผู้ใช้ที่สามารถเพิ่มหรืออัปเดตทรัพยากรของหลักสูตรต้องได้รับความไว้วางใจอย่างเต็มที่เนื่องจากอาจใช้มาร์กอัปและไฟล์ที่ไม่ปลอดภัยในประเภททรัพยากรต่อไปนี้: {$a}</p><p> ขอแนะนำให้ปิดการตั้งค่า &quot;อนุญาตมาร์กอัปและไฟล์ที่ไม่ปลอดภัย&quot; ทั้งหมด</p>';
$string['check_resourcesallowxss_name'] = 'มาร์กอัปและไฟล์ที่ไม่ปลอดภัยในแหล่งข้อมูลหลักสูตร';
$string['check_resourcesallowxss_ok'] = 'การตั้งค่าทรัพยากร &quot;อนุญาตมาร์กอัปและไฟล์ที่ไม่ปลอดภัย&quot; ทั้งหมดถูกปิดใช้งาน';
$string['check_resourcesallowxss_warning'] = 'ผู้ใช้ที่แก้ไขทรัพยากรของหลักสูตรอาจใช้มาร์กอัปและไฟล์ที่ไม่ปลอดภัย';
$string['check_riskadmin_detailsok'] = '<p> โปรดตรวจสอบรายชื่อดังต่อไปนี้ผู้ดูแลระบบ: </p> {$a}';
$string['check_riskadmin_detailswarning'] = '<p> โปรดตรวจสอบรายชื่อดังต่อไปนี้ผู้ดูแลระบบ: </p> {$a->admins} <p> ก็จะแนะนำให้กำหนดบทบาทผู้ดูแลระบบในบริบทของระบบเท่านั้น ผู้ใช้ต่อไปได้ (ได้รับการสนับสนุน) ผู้ดูแลระบบกำหนดบทบาทในบริบทอื่น ๆ : </p> {$a->unsupported}';
$string['check_riskadmin_name'] = 'ผู้ดูแลระบบ';
$string['check_riskadmin_ok'] = 'พบผู้ดูแลระบบเซิร์ฟเวอร์ {$a} (s)';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) การกำหนดบทบาทการตรวจสอบ</a>';
$string['check_riskadmin_warning'] = 'พบ {$a->admincount} ผู้ดูแลเซิร์ฟเวอร์และ {$a->unsupcount} กำหนดบทบาทผู้ดูแลระบบได้รับการสนับสนุน';
$string['check_riskallowxss_details'] = '<p>RISK_ALLOWXSS หมายถึงความสามารถที่เป็นอันตรายทั้งหมดที่ผู้ใช้ที่เชื่อถือได้เท่านั้นที่สามารถใช้ได้</p><p> โปรดตรวจสอบรายชื่อผู้ใช้ต่อไปนี้และตรวจสอบให้แน่ใจว่าคุณเชื่อถือได้อย่างสมบูรณ์บนเซิร์ฟเวอร์นี้:</p><p> {$a}</p>';
$string['check_riskallowxss_name'] = 'ผู้ใช้ที่เชื่อถือได้ XSS';
$string['check_riskallowxss_warning'] = 'RISK_ALLOWXSS - พบผู้ใช้ {$a} ที่ต้องเชื่อถือ';
$string['check_riskbackup_detailsok'] = 'ไม่มีบทบาทชัดเจนช่วยให้การสำรองข้อมูลของผู้ใช้ อย่างไรก็ตามทราบว่าความสามารถผู้ดูแลระบบกับ "doanything" ยังคงมีแนวโน้มที่จะสามารถที่จะทำเช่นนี้';
$string['check_riskbackup_details_overriddenroles'] = '<p> แทนที่การใช้งานเหล่านี้ให้ผู้ใช้ความสามารถในการรวมข้อมูลของผู้ใช้ในการสำรองข้อมูล โปรดตรวจสอบสิทธิ์นี้เป็นสิ่งที่จำเป็น </p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p> บทบาทของระบบดังต่อไปนี้ช่วยให้ผู้ใช้เพื่อรวมข้อมูลของผู้ใช้ในการสำรองข้อมูล โปรดตรวจสอบสิทธิ์นี้เป็นสิ่งที่จำเป็น </p> {$a}';
$string['check_riskbackup_details_users'] = '<p> เพราะบทบาทดังกล่าวข้างต้นหรือแทนที่ท้องถิ่นบัญชีผู้ใช้ต่อไปในขณะนี้ได้รับอนุญาตในการสำรองข้อมูลที่มีข้อมูลส่วนตัวใด ๆ จากผู้ใช้ที่ลงทะเบียนเรียนในหลักสูตรของพวกเขา ตรวจสอบให้แน่ใจว่าพวกเขาจะ (ก) ที่เชื่อถือได้และ (ข) การป้องกันโดยรหัสผ่านที่แข็งแกร่ง: </p> {$a}';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} ใน {$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'การสำรองข้อมูลของผู้ใช้';
$string['check_riskbackup_ok'] = 'ไม่มีบทบาทชัดเจนช่วยให้การสำรองข้อมูลของผู้ใช้';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) ใน {$a->contextname}</a>';
$string['check_riskbackup_warning'] = 'พบบทบาท {$a->rolecount}, แทนที่ {$a->overridecount} และผู้ใช้ {$a->usercount} ที่มีความสามารถในการสำรองข้อมูลของผู้ใช้';
$string['check_riskxss_details'] = '<p> หมายถึงความสามารถในการ RISK_XSS อันตรายทั้งหมดที่ผู้ใช้เชื่อถือได้เท่านั้นที่อาจจะใช้ </p><p> โปรดตรวจสอบรายการต่อไปของผู้ใช้และให้แน่ใจว่าที่คุณไว้วางใจพวกเขาอย่างสมบูรณ์บนเซิร์ฟเวอร์นี้: </p><p> {$a} </p>';
$string['check_riskxss_name'] = 'XSS เชื่อถือได้ผู้ใช้';
$string['check_riskxss_warning'] = 'RISK_XSS - พบผู้ใช้ {$a} ที่ต้องได้รับความไว้วางใจ';
$string['check_scormsessionkeepalive_details'] = '<p>หากเซสชันผู้ใช้ที่เปิดใช้งานยังคงมีชีวิตอยู่ในโปรแกรมเล่น SCORM</p>';
$string['check_scormsessionkeepalive_name'] = 'เซสชั่น SCORM ให้มีชีวิตอยู่';
$string['check_scormsessionkeepalive_ok'] = 'การหมดเวลาเซสชันมาตรฐานบังคับใช้ในโปรแกรมเล่น SCORM';
$string['check_scormsessionkeepalive_warning'] = 'การรักษาเซสชันของผู้ใช้ให้คงอยู่ในโปรแกรมเล่น SCORM อาจถือได้ว่าเป็นปัญหาด้านความปลอดภัยเล็กน้อย';
$string['check_unsecuredataroot_details'] = '<p> ไดเรกทอรีข้อมูลจะต้องไม่สามารถเข้าถึงได้ผ่านทางเว็บ วิธีที่ดีที่สุดเพื่อให้แน่ใจว่าไดเรกทอรีไม่สามารถเข้าถึงได้คือการใช้ไดเรกทอรีนอกสารบบเว็บสาธารณะ </p><p> ถ้าคุณย้ายไดเรกทอรีที่คุณจำเป็นต้องปรับปรุง <code>$CFG-&gt;dataroot</code> การตั้งค่าใน <code>config.php</code> ตาม </p>';
$string['check_unsecuredataroot_error'] = 'dataroot ไดเรกทอรีของคุณ <code>{$a}</code> อยู่ในตำแหน่งที่ไม่ถูกต้องและมีการสัมผัสกับเว็บ!';
$string['check_unsecuredataroot_name'] = 'ไม่ปลอดภัย dataroot';
$string['check_unsecuredataroot_ok'] = 'ไดเรกทอรีข้อมูลจะต้องไม่สามารถเข้าถึงได้ผ่านทางเว็บ';
$string['check_unsecuredataroot_warning'] = 'dataroot ไดเรกทอรีของคุณ <code>{$a}</code> อยู่ในตำแหน่งที่ไม่ถูกต้องและอาจจะมีการสัมผัสกับเว็บ';
$string['check_usernameenumeration_details'] = '<p> เมื่อข้อมูลประจำตัวของผู้ใช้ไม่ถูกต้อง Totara ระวังจะคลุมเครือเกี่ยวกับเหตุผลที่ว่าทำไมจึงเป็นไปไม่ได้ให้ผู้ใช้ทราบว่าชื่อผู้ใช้หรือรหัสผ่านไม่ถูกต้อง วิธีการนี้จะเป็นผู้โจมตีจะต้องเดาทั้งชื่อผู้ใช้และรหัสผ่าน </p><p> ด้วยการลงทะเบียนด้วยตนเองเปิดอยู่จะเป็นผู้โจมตีสามารถใช้แบบฟอร์มการสมัครให้ระบุชื่อผู้ใช้และผลงานออกมาซึ่งเป็นที่ถูกต้อง เมื่อชื่อผู้ใช้ที่ถูกต้องได้รับการระบุว่าพวกเขาจะต้องคาดเดารหัสผ่าน <br /> เพื่อป้องกันไม่ให้ปิดนี้ลงทะเบียนด้วยตนเอง </p><p> ด้วยชื่อผู้ใช้ป้องกันปิดจะเป็นผู้โจมตีสามารถใช้แบบฟอร์มลืมรหัสผ่านที่จะระบุชื่อผู้ใช้และผลงานออกมาซึ่งเป็นที่ถูกต้อง เมื่อชื่อผู้ใช้ที่ถูกต้องได้รับการระบุว่าพวกเขาจะต้องคาดเดารหัสผ่าน <br /> เพื่อป้องกันไม่ให้เปิดการทำงานนี้ชื่อผู้ใช้ป้องกัน </p>';
$string['check_usernameenumeration_name'] = 'Username enumeration';
$string['check_usernameenumeration_ok'] = 'เปิดใช้งานการปกป้องชื่อผู้ใช้และไม่ได้เปิดใช้การลงทะเบียนด้วยตนเอง';
$string['check_usernameenumeration_warning'] = 'เปิดใช้งานการลงทะเบียนด้วยตนเองหรือปิดใช้งานการปกป้องชื่อผู้ใช้ผู้ใช้ที่ไม่ได้รับอนุญาต อาจจะไม่สามารถที่จะคาดเดาชื่อผู้ใช้ที่มีอยู่';
$string['check_vendordir_details'] = '<p> ไดเรกทอรีผู้จำหน่าย <em>{$a->path}</em> มีไลบรารีของ บริษัท อื่นหลายแห่งและการอ้างอิงของพวกเขาซึ่งโดยปกติจะติดตั้งโดย PHP Composer อาจจำเป็นสำหรับการพัฒนาในท้องถิ่นเช่นสำหรับการติดตั้งกรอบงาน PHPUnit แต่ก็ยังอาจมีรหัสอันตรายที่อาจทำให้ไซต์ของคุณถูกโจมตีได้ </p><p> ขอแนะนำอย่างยิ่งให้นำไดเรกทอรีออกหากไซต์มีผ่านทาง URL สาธารณะหรืออย่างน้อยห้ามการเข้าถึงเว็บดังกล่าว </p>';
$string['check_vendordir_info'] = 'ไดเรกทอรีผู้ขายไม่ควรมีอยู่ในไซต์สาธารณะ';
$string['check_vendordir_name'] = 'ไดเรกทอรีผู้ขาย';
$string['check_webcron_details'] = '<p>  cron ทำงาน จากเว็บเบราว์เซอร์ที่สามารถเปิดเผยข้อมูลที่มีสิทธิพิเศษให้กับผู้ใช้ที่ไม่ระบุชื่อ ก็จะแนะนำให้ใช้เฉพาะ cron จากบรรทัดคำสั่งหรือตั้งค่ารหัสผ่าน cron สำหรับการเข้าถึงระยะไกล </p>';
$string['check_webcron_name'] = 'Web cron';
$string['check_webcron_ok'] = 'ผู้ใช้ที่ไม่ระบุชื่อไม่สามารถเข้าถึง cron';
$string['check_webcron_warning'] = 'ผู้ใช้ที่ไม่ระบุชื่อสามารถเข้าถึง cron';
$string['check_xxe_risk_critical'] = 'เอนทิตีภายนอกจะโหลดลงใน XML โดยค่าเริ่มต้น';
$string['check_xxe_risk_details'] = 'บางรุ่น LibXML และ PHP อาจโหลดเอนทิตีภายนอกลงใน XML โดยค่าเริ่มต้นซึ่งหมายความว่าเนื้อหาของไฟล์ภายในเครื่องอาจได้รับโดยผู้ใช้ที่เป็นอันตราย ตรวจสอบให้แน่ใจว่าคุณใช้เวอร์ชัน LibXML และ PHP ที่อัปเดตเพื่อช่วยป้องกันไม่ให้ช่องโหว่นี้';
$string['check_xxe_risk_name'] = 'ความเสี่ยง XXE';
$string['check_xxe_risk_ok'] = 'เอนทิตีภายนอกจะไม่โหลดลงใน XML โดยค่าเริ่มต้น';
$string['configuration'] = 'องค์ประกอบ';
$string['description'] = 'ลักษณะ';
$string['details'] = 'รายละเอียด';
$string['issue'] = 'ปัญหา';
$string['pluginname'] = 'ภาพรวมการรักษาความปลอดภัย';
$string['security:view'] = 'ดูรายงานการรักษาความปลอดภัย';
$string['status'] = 'สถานะ';
$string['statuscritical'] = 'วิกฤติ';
$string['statusinfo'] = 'ข้อมูล';
$string['statusok'] = 'ตกลง';
$string['statusserious'] = 'ร้ายแรง';
$string['statuswarning'] = 'การเตือน';
$string['timewarning'] = 'การประมวลผลข้อมูลอาจใช้เวลานานโปรดอดทน ...';
