<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_task', language 'th', branch 'MOODLE_35_STABLE'
 *
 * @package   tool_task
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['asap'] = 'โดยเร็วที่สุด';
$string['blocking'] = 'การปิดกั้น';
$string['component'] = 'ชิ้นส่วน';
$string['corecomponent'] = 'แกน';
$string['default'] = 'ค่าเริ่มต้น';
$string['disabled'] = 'ไม่สามารถใช้งานได้';
$string['disabled_help'] = 'งานที่กำหนดเวลาปิดการใช้งานที่ไม่ได้ดำเนินการจาก cron แต่พวกเขายังคงสามารถดำเนินการได้ด้วยตนเองผ่านทางเครื่องมือ CLI';
$string['edittaskschedule'] = 'แก้ไขกำหนดการงาน: {$a}';
$string['eventscheduledtaskupdated'] = 'อัปเดตงานตามกำหนดการแล้ว';
$string['faildelay'] = 'ความล่าช้าล้มเหลว';
$string['lastruntime'] = 'การทำงานครั้งสุดท้าย';
$string['nextcron'] = 'เรียกใช้ cron ต่อไป';
$string['nextcronall'] = 'ตั้งงานที่เปิดใช้งานเพื่อให้ทำงานบน cron ต่อไป';
$string['nextcrontask'] = 'เรียกใช้งาน \'{$a}\' ในการทำงาน cron ถัดไป';
$string['nextruntime'] = 'การทำงานต่อไป';
$string['plugindisabled'] = 'ไม่สามารถใช้ Plugin';
$string['pluginname'] = 'การกำหนดค่างานที่กำหนด';
$string['resettasktodefaults'] = 'กำหนดการงานรีเซ็ตเป็นค่าเริ่มต้น';
$string['resettasktodefaults_help'] = 'นี้จะยกเลิกการเปลี่ยนแปลงใด ๆ ในท้องถิ่นและกลับตารางเวลาสำหรับงานนี้กลับไปตั้งค่าเดิม';
$string['scheduledtaskchangesdisabled'] = 'การปรับเปลี่ยนรายการของงานที่กำหนดได้รับการป้องกันในการกำหนดค่า Totara';
$string['scheduledtasks'] = 'งานที่กำหนดเวลา';
$string['taskdisabled'] = 'ปิดการใช้งาน Task';
$string['taskscheduleday'] = 'วัน';
$string['taskscheduleday_help'] = 'วันเดือนฟิลด์สำหรับตารางเวลางาน ข้อมูลที่ใช้รูปแบบเช่นเดียว cron ยูนิกซ์ ตัวอย่างบางส่วน: <br/><ul><li> <strong>*</strong> ทุกวัน </li><li> <strong>* / 2</strong> ทุกวันที่ 2 </li><li> <strong>1</strong> ครั้งแรกของทุกเดือน </li><li> <strong>1,15</strong> ครั้งแรกและครั้งที่สิบห้าของทุกเดือน </li></ul>';
$string['taskscheduledayofweek'] = 'วันของสัปดาห์';
$string['taskscheduledayofweek_help'] = 'วันของฟิลด์สัปดาห์สำหรับกำหนดการงาน ข้อมูลที่ใช้รูปแบบเช่นเดียว cron ยูนิกซ์ ตัวอย่างบางส่วน: <br/><ul><li> <strong>*</strong> ทุกวัน </li><li> <strong>0</strong> ทุกวันอาทิตย์ </li><li> <strong>6</strong> ทุกวันเสาร์ </li><li> <strong>1,5</strong> ทุกวันจันทร์และวันศุกร์ </li></ul>';
$string['taskschedulehour'] = 'ชั่วโมง';
$string['taskschedulehour_help'] = 'ข้อมูลชั่วโมงสำหรับตารางเวลางาน ข้อมูลที่ใช้รูปแบบเช่นเดียว cron ยูนิกซ์ ตัวอย่างบางส่วน: <br/><ul><li> <strong>*</strong> ทุกชั่วโมง </li><li> <strong>* / 2</strong> ทุก 2 ชั่วโมง </li><li> ทุก <strong>2-10</strong> ชั่วโมงจาก 02:00 จนถึง 10:00 (รวม) </li><li> <strong>2,6,9</strong> 02:00, 06:00 และ 09:00 </li></ul>';
$string['taskscheduleminute'] = 'นาที';
$string['taskscheduleminute_help'] = 'สนามนาทีสำหรับตารางเวลางาน ข้อมูลที่ใช้รูปแบบเช่นเดียว cron ยูนิกซ์ ตัวอย่างบางส่วน: <br/><ul><li> <strong>*</strong> ทุกนาที </li><li> <strong>* / 5</strong> ทุก 5 นาที </li><li> <strong>2-10</strong> ทุกนาทีระหว่าง 2 และ 10 ชั่วโมงที่ผ่านมา (รวม) </li><li> <strong>2,6,9</strong> 2 6 และ 9 นาทีชั่วโมงที่ผ่านมา </li></ul>';
$string['taskschedulemonth'] = 'เดือน';
$string['taskschedulemonth_help'] = 'ข้อมูลเดือนสำหรับตารางเวลางาน ข้อมูลที่ใช้รูปแบบเช่นเดียว cron ยูนิกซ์ ตัวอย่างบางส่วน: <br/><ul><li> ทุกเดือน <strong>*</strong> </li><li> <strong>* / 2</strong> ทุกเดือนที่สอง </li><li> <strong>1</strong> ทุกเดือนมกราคม </li><li> <strong>1,5</strong> ทุกเดือนมกราคมและเดือนพฤษภาคม </li></ul>';
